Bug 7000 - two simultaneous ppp connections fail
two simultaneous ppp connections fail
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-14 18:11 EST by mal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-17 10:15:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mal 1999-11-14 18:11:42 EST
I have two ppp connections
running simultaneously.
I use the same  ISP and chap authorization for both.
If I start one of them (does not matter which)
everything is fine.
but when I start both of them first one gets connected,
but second pollutes /var/log/messages with
hundreds of messages (see below).
Both PPP are running without setting a default route.
I set routing for each connection in
/etc/ppp/ip-down.local
I got this priblem after upgrading
RedHat 5.1 with kernel 2.1.126
to RedHat 6.1.
I did not have any such problem before.


This is from /var/log/messages

Nov 14 18:06:45 vladik2 ifup-ppp: pppd started for ppp2 on /dev/ttyS1 at
115200
Nov 14 18:06:45 vladik2 modprobe: can't locate module char-major-108
Nov 14 18:06:45 vladik2 pppd[1012]: The remote system (ppp2) is required to
authenticate itself but I
Nov 14 18:06:45 vladik2 pppd[1012]: couldn't find any suitable secret
(password) for it to use to do so.
Nov 14 18:06:45 vladik2 ifup-ppp: pppd started for ppp2 on /dev/ttyS1 at
115200
Nov 14 18:06:45 vladik2 modprobe: can't locate module char-major-108
Nov 14 18:06:45 vladik2 pppd[1021]: The remote system (ppp2) is required to
authenticate itself but I
Nov 14 18:06:45 vladik2 pppd[1021]: couldn't find any suitable secret
(password) for it to use to do so.
Nov 14 18:06:46 vladik2 ifup-ppp: pppd started for ppp2 on /dev/ttyS1 at
115200
Nov 14 18:06:46 vladik2 modprobe: can't locate module char-major-108
Nov 14 18:06:46 vladik2 pppd[1030]: The remote system (ppp2) is required to
authenticate itself but I
Nov 14 18:06:46 vladik2 pppd[1030]: couldn't find any suitable secret
(password) for it to use to do so.
Nov 14 18:06:46 vladik2 ifup-ppp: pppd started for ppp2 on /dev/ttyS1 at
115200
Nov 14 18:06:46 vladik2 modprobe: can't locate module char-major-108
Nov 14 18:06:46 vladik2 pppd[1039]: The remote system (ppp2) is required to
authenticate itself but I
Comment 1 Anonymous 1999-11-14 22:10:59 EST
The problem may be workarounded by adding
noauth
option to PPP.
This way it does not pollute the /var/log/messages
and seems to work
Comment 2 Michael K. Johnson 1999-11-17 10:15:59 EST
The default for PPP connections is now to set the default route.
I don't recall off the top of my head whether that was changed.
I'd like to suggest that you turn off the default route for one
or both of those connections.  You can do that in netcfg, or you
can use a command line such as
echo 'DEFROUTE=no' >> /etc/sysconfig/network-scripts/ifcfg-ppp0
(or ppp1 or whatever).

Future versions of initscripts will probably explicitly remove
default routes when we are bringing up pppd with DERROUTE set,
but bringing up two devices at the same time both trying to
set the default route should probably be considered a misconfiguration
and so you probably want to fix it.
Comment 3 Anonymous 1999-11-17 14:36:59 EST
As I wrote in my first message on 1999-11-14

>Both PPP are running without setting a default route.

This is precisely what you are suggesting.
So default routes are not set by pppd.

Again, there are two problems:
1.Unstable work of pppd authorization (especially when there are two modems),
  the pppd prints huge number of such error messages:

 Nov 14 18:06:45 vladik2 pppd[1012]: The remote system (ppp2) is required to
 authenticate itself but I
 Nov 14 18:06:45 vladik2 pppd[1012]: couldn't find any suitable secret
 (password) for it to use to do so.

This problem may be workarounded by adding
noauth
option for pppd in netcfg. In this case everything is fine.
This problem does not appear when I have
one modem and one connection.
It appears only when I have two modems with two ppp connection.

2. The rate of the error messages.
The scripts print the cited above messages at
such high rate, than in less than 20 minutes
/var/log/messages
may take 100 Mb size.

Vladislav

Note You need to log in before you can comment on or make changes to this bug.